# 日志规范

## 日志的作用

- 明确程序的执行状态
- 发生错误后，根据日志追根溯源
- 日志的规模可以反映出一些规律，日志对技术和业务都有帮助

## 日志的种类

- 开发过程中的日志，使用 console.debug
- 关键操作的过程，使用 console.log
- 关键操作的抽无，使用 console.error
- JS 运行错误，捕获后上报

## 日志的存储和上报

目前有 4 种日志：

- 打印在控制台，并没有存储
- 可以存放到 IndexedDB 里面
- 如果是 Electron 应用，可以存日志文件到硬盘
- 可以将重要的日志存储通过接口存储到自己的服务器
- 通过百度统计的事件记录下来
