# 认证与权限

## 认证

是否认证，关键点是在 http 请求上。  
详见 `/src/plugins/axiosCommonService.js`

## 权限

一种假设：

- 一个接口返回角色。在 routes 里的 meta 设置 roles。根据角色匹配对应的 routes。
- 一个接口返回页面中元素的权限。在每个页面进入时，事先获取详细权限。

现实情况：

- 每一个模块都有对应的权限列表。权限包含的是菜单和路径。
- 每一个页面都可以有一个详细的页面权限。
